Package com.sas.services.information.metadata

# Class ServerVirtualFolder

java.lang.Object
com.sas.services.information.metadata.VirtualMetadata
com.sas.services.information.metadata.VirtualFolder
com.sas.services.information.metadata.ServerVirtualFolder

All Implemented Interfaces:
  `FolderInterface`, `MetadataInterface`, `VirtualFolderInterface`, `MutableContainerInterface`, `PublicObjectContainerInterface`, `PublicObjectInterface`, `Serializable`, `Remote`

public class ServerVirtualFolder extends VirtualFolder implements Serializable
Represents the Server virtual folder.

Since:
  9.4
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sas.services.information.metadata.VirtualFolder

  `VirtualFolder.VirtualFolderDetailsProcessor`

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.metadata.VirtualFolder

  `_actionInterfaces, _id, _members, _name, _origSearchFilters, _parentFolder, _repository, _searchManager, _subFolders`

  ### Fields inherited from interface com.sas.services.information.metadata.FolderInterface

  `FOLDER_TYPE_BIP`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerVirtualFolder(String id, String name, FolderInterface parentFolder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PublicObjectInterface>`
  `getChildren()`
  Get a List of the children of this container.

  ### Methods inherited from class com.sas.services.information.metadata.VirtualFolder

  `addChild, addItem, addNewItem, addSubfolder, addSubfolder, deleteItem, deleteSubfolder, getChildAt, getChildCount, getChildren, getContainer, getContentCreateDate, getContentInfo, getContentModifyDate, getFolderType, getIdentifier, getItem, getItemByClass, getItemByType, getItems, getItemsByClass, getItemsByType, getItemSublist, getItemSublist, getName, getOriginalFilters, getParent, getPath, getPathUrl, getProcessorInterface, getPublicTypeItem, getReposId, getRepository, getSearchManager, getSubfolder, getSubfolders, getTotalNumberOfItems, getType, getTypeDescriptor, hasDuplicate, hasDuplicateSubfolder, insertChild, isEmpty, isItemNameUnique, makeSubfolder, makeSubfolder, moveMembersOnOverflow, newChild, refresh, removeChild, removeItem, removeSubfolder, setContentCreateDate, setContentModifyDate, setFolderType, setRepository, setSearchManager, toString`

  ### Methods inherited from class com.sas.services.information.metadata.VirtualMetadata

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParentPath, getParents, getPath, getPaths, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getObjectURI`

- ## Constructor Details

  - ### ServerVirtualFolder

    public ServerVirtualFolder(String id, String name, FolderInterface parentFolder)

- ## Method Details

  - ### getChildren

    public List<PublicObjectInterface> getChildren() throws ServiceException, RemoteException
    Description copied from interface: `PublicObjectContainerInterface`
    Get a List of the children of this container.
    Specified by:
      `getChildren` in interface `PublicObjectContainerInterface`
    Overrides:
      `getChildren` in class `VirtualFolder`
    Returns:
      All child nodes below this container. For folder, this includes subfolders and members.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.